Publish an owned post.
curl --request POST \
--url https://api.nebyoulous.space/posts/{id}/publish \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/posts/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/{id}/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Posts
Publish an owned post.
POST
/
posts
/
{id}
/
publish
Publish an owned post.
curl --request POST \
--url https://api.nebyoulous.space/posts/{id}/publish \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/posts/{id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/{id}/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Default Response
Show child attributes
Show child attributes